package com.mortals.xhx.module.matters.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:MattersDetail
* date: 2021-9-16 20:01:52
*/
public class MattersDetailEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1631793712577L;


    /**
    * 事项编号
    */
    private String matterCode;

    /**
    * 基本信息
    */
    private String basicinfoJbxx;

    /**
    * 申请材料
    */
    private String materialsSqcl;

    /**
    * 受理条件
    */
    private String conditionsSltj;

    /**
    * 办理流程
    */
    private String processBllc;

    /**
    * 收费标准
    */
    private String chargingSfbz;

    /**
    * 设定依据
    */
    private String basisSdyj;

    /**
    * 中介服务
    */
    private String intermediaryZjfw;

    /**
    * 常见问题
    */
    private String questionCjwt;

    /**
    * 修改时间
    */
    private Date updatetime;

    public MattersDetailEntity(){

    }
    /**
    * 获取 事项编号
    * @return matterCode
    */
    public String getMatterCode() {
        return this.matterCode;
    }
    /**
    * 设置 事项编号
    * @param matterCode
    */
    public void setMatterCode(String matterCode) {
        this.matterCode = matterCode;
    }
    /**
    * 获取 基本信息
    * @return basicinfoJbxx
    */
    public String getBasicinfoJbxx() {
        return this.basicinfoJbxx;
    }
    /**
    * 设置 基本信息
    * @param basicinfoJbxx
    */
    public void setBasicinfoJbxx(String basicinfoJbxx) {
        this.basicinfoJbxx = basicinfoJbxx;
    }
    /**
    * 获取 申请材料
    * @return materialsSqcl
    */
    public String getMaterialsSqcl() {
        return this.materialsSqcl;
    }
    /**
    * 设置 申请材料
    * @param materialsSqcl
    */
    public void setMaterialsSqcl(String materialsSqcl) {
        this.materialsSqcl = materialsSqcl;
    }
    /**
    * 获取 受理条件
    * @return conditionsSltj
    */
    public String getConditionsSltj() {
        return this.conditionsSltj;
    }
    /**
    * 设置 受理条件
    * @param conditionsSltj
    */
    public void setConditionsSltj(String conditionsSltj) {
        this.conditionsSltj = conditionsSltj;
    }
    /**
    * 获取 办理流程
    * @return processBllc
    */
    public String getProcessBllc() {
        return this.processBllc;
    }
    /**
    * 设置 办理流程
    * @param processBllc
    */
    public void setProcessBllc(String processBllc) {
        this.processBllc = processBllc;
    }
    /**
    * 获取 收费标准
    * @return chargingSfbz
    */
    public String getChargingSfbz() {
        return this.chargingSfbz;
    }
    /**
    * 设置 收费标准
    * @param chargingSfbz
    */
    public void setChargingSfbz(String chargingSfbz) {
        this.chargingSfbz = chargingSfbz;
    }
    /**
    * 获取 设定依据
    * @return basisSdyj
    */
    public String getBasisSdyj() {
        return this.basisSdyj;
    }
    /**
    * 设置 设定依据
    * @param basisSdyj
    */
    public void setBasisSdyj(String basisSdyj) {
        this.basisSdyj = basisSdyj;
    }
    /**
    * 获取 中介服务
    * @return intermediaryZjfw
    */
    public String getIntermediaryZjfw() {
        return this.intermediaryZjfw;
    }
    /**
    * 设置 中介服务
    * @param intermediaryZjfw
    */
    public void setIntermediaryZjfw(String intermediaryZjfw) {
        this.intermediaryZjfw = intermediaryZjfw;
    }
    /**
    * 获取 常见问题
    * @return questionCjwt
    */
    public String getQuestionCjwt() {
        return this.questionCjwt;
    }
    /**
    * 设置 常见问题
    * @param questionCjwt
    */
    public void setQuestionCjwt(String questionCjwt) {
        this.questionCjwt = questionCjwt;
    }
    /**
    * 获取 修改时间
    * @return updatetime
    */
    public Date getUpdatetime() {
        return this.updatetime;
    }
    /**
    * 设置 修改时间
    * @param updatetime
    */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MattersDetailEntity) {
            MattersDetailEntity tmp = (MattersDetailEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterCode:").append(getMatterCode())
                .append(",basicinfoJbxx:").append(getBasicinfoJbxx())
                .append(",materialsSqcl:").append(getMaterialsSqcl())
                .append(",conditionsSltj:").append(getConditionsSltj())
                .append(",processBllc:").append(getProcessBllc())
                .append(",chargingSfbz:").append(getChargingSfbz())
                .append(",basisSdyj:").append(getBasisSdyj())
                .append(",intermediaryZjfw:").append(getIntermediaryZjfw())
                .append(",questionCjwt:").append(getQuestionCjwt())
                .append(",updatetime:").append(getUpdatetime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterCode = null;
         this.basicinfoJbxx = null;
         this.materialsSqcl = null;
         this.conditionsSltj = null;
         this.processBllc = null;
         this.chargingSfbz = null;
         this.basisSdyj = null;
         this.intermediaryZjfw = null;
         this.questionCjwt = null;
         this.updatetime = null;
    }
}